Bug 103068 - CAN-2003-0688 sendmail remote random free()
Summary: CAN-2003-0688 sendmail remote random free()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL: http://www.freebsd.org/cgi/query-pr.c...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-26 11:32 UTC by Mark J. Cox
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-28 06:57:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:265 high SHIPPED_LIVE : Updated Sendmail packages fix vulnerability. 2003-08-28 04:00:00 UTC

Description Mark J. Cox 2003-08-26 11:32:46 UTC
CAN-2003-0688

A bug has been discovered in the handling of DNS maps in sendmail 8.12
versions before 8.12.9. A remote attacker could exploit this issue to
cause the instance of sendmail dealing with a request to crash. We believe
that the nature of the bug would make remote exploitation of this issue
difficult if at all possible.

Red Hat Linux 8.0 and 9 include versions of sendmail vulnerable to this
issue, however this issue only affects sites that have enabled the
"enhdnsbl" feature and are therefore using DNS maps.

We will have an update available soon that has a patch to correct this issue,
RHSA-2003:265

Comment 1 Mark J. Cox 2003-08-28 06:57:00 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-265.html



Note You need to log in before you can comment on or make changes to this bug.